Bug 1029587 - upgrade to go1.2 (once it is available)
upgrade to go1.2 (once it is available)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
22
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 11:41 EST by Vincent Batts
Modified: 2016-07-19 16:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:03:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2013-11-12 11:41:34 EST
What steps will reproduce the problem?
If possible, include a link to a program on play.golang.org.
1. export GOPATH=$(mktemp -d)
2. go get code.google.com/p/go.tools/cmd/oracle
3. 

What is the expected output?


What do you see instead?
/tmp/tmp.cjYFzAeLWC/src/code.google.com/p/go.tools/importer/source.go:434: n.Lparen undefined (type *ast.TypeAssertExpr has no field or method Lparen)
/tmp/tmp.cjYFzAeLWC/src/code.google.com/p/go.tools/importer/source.go:435: n.Lparen undefined (type *ast.TypeAssertExpr has no field or method Lparen)
/tmp/tmp.cjYFzAeLWC/src/code.google.com/p/go.tools/importer/source.go:436: n.Rparen undefined (type *ast.TypeAssertExpr has no field or method Rparen)


Which compiler are you using (5g, 6g, 8g, gccgo)?
6g

Which operating system are you using?
Red Hat Enterprise Linux Workstation release 6.4 (Santiago)


Which version are you using?
go version go1.1.2 linux/amd64 (golang-1.1.2-4.el6.x86_64)


Please provide any additional information below.
I tested against the tip of their repo (future version 1.2) (go version devel +39c724dd7f25 Tue Nov 12 09:28:07 2013 +1100 linux/amd64)
and code.google.com/p/go.tools/cmd/oracle and code.google.com/p/go.tools/cmd/ssadump build just fine
Comment 1 Vincent Batts 2014-01-21 11:21:29 EST
vbatts@bananaboat ~ (master *) $ go version
go version go1.2 linux/amd64
vbatts@bananaboat ~ (master *) $ rpm -q golang
golang-1.2-3.el6.x86_64
vbatts@bananaboat ~ (master *) $ export GOPATH=$(mktemp -d)
vbatts@bananaboat ~ (master *) $ go get code.google.com/p/go.tools/cmd/oracle
vbatts@bananaboat ~ (master *) $ find $GOPATH -type f -name oracle
/tmp/tmp.EM0uNPeSIY/bin/oracle
Comment 2 Jaroslav Reznik 2015-03-03 12:20:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 16:03:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.